Bug 423041 - empty scripts
empty scripts
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: perl-Test-AutoBuild (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Berrange
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-13 05:10 EST by Florian La Roche
Modified: 2007-12-22 14:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-22 14:11:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Florian La Roche 2007-12-13 05:10:30 EST
Description of problem:

This rpm creates a few empty scripts which are then also in the
binary rpm packages. Those can get removed from the spec file.

regards,

Florian La Roche



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Daniel Berrange 2007-12-13 11:37:10 EST
I don't understand what you mean. Can you point out the actual spec file bits
which are wrong ?
Comment 2 Florian La Roche 2007-12-13 11:49:11 EST
The following change could go in to prevent empty scripts:

--- perl-Test-AutoBuild.spec    10 Dec 2007 15:25:39 -0000      1.5
+++ perl-Test-AutoBuild.spec    13 Dec 2007 16:47:53 -0000
@@ -223,9 +223,9 @@ else
                     -c 'Test-AutoBuild build engine' -g builder builder
&>/dev/null || :
 fi

+%if %{with_selinux}
 %post
 # Always run, even on upgrade so we reload it
-%if %{with_selinux}
 /usr/sbin/semodule -i %{_datadir}/selinux/packages/auto-build/auto-build.pp
>/dev/null
 fixfiles -R %{name} restore
 %endif
@@ -234,14 +234,14 @@ fixfiles -R %{name} restore
 %__fe_userdel builder &>/dev/null || :
 %__fe_groupdel builder &>/dev/null || :

-%post account
 %if %{with_selinux}
+%post account
 fixfiles -R %{name}-account restore
 %endif

+%if %{with_selinux}
 %postun
 # Unload if last module
-%if %{with_selinux}
 if [ $1 -eq 0 ]; then
   /usr/sbin/semodule -r autobuild >/dev/null
 fi



regards,

Florian La Roche
Comment 3 Daniel Berrange 2007-12-13 13:12:01 EST
Ok I will make those changes. Were you actually seeing install problems caused
by the empty scripts that I should do an immediate rebuild for ? If not I'll
wait until the next update to rebuild...
Comment 4 Florian La Roche 2007-12-14 04:00:03 EST
This is only very minor cleanup, so can wait for the next package build.

Thanks,

Florian La Roche
Comment 5 Daniel Berrange 2007-12-22 14:11:33 EST
Fixed in perl-Test-AutoBuild-1.2.2-1.fc9

Note You need to log in before you can comment on or make changes to this bug.